import BaseEffect from './base-effect';
import ResonatorAudioContext from '../audio-context';
import AudioGraph from '../audio-graph';
export default class Convolver extends BaseEffect {
    private buffer;
    private channelSplitter;
    private channelMerger;
    private outputGain;
    private volume;
    constructor(context: ResonatorAudioContext, graph: AudioGraph, params: any);
    setBuffer(buffer: AudioBuffer): void;
    setVolume(volume: number): void;
    connectInput(node: AudioNode): void;
}
